summaryrefslogtreecommitdiff
path: root/dev-python/python-augeas/python-augeas-0.5.0.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/python-augeas/python-augeas-0.5.0.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-augeas/python-augeas-0.5.0.ebuild')
-rw-r--r--dev-python/python-augeas/python-augeas-0.5.0.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/python-augeas/python-augeas-0.5.0.ebuild b/dev-python/python-augeas/python-augeas-0.5.0.ebuild
new file mode 100644
index 000000000000..01717f456dbf
--- /dev/null
+++ b/dev-python/python-augeas/python-augeas-0.5.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for Augeas"
+HOMEPAGE="http://augeas.net/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+IUSE=""
+
+DEPEND="app-admin/augeas"
+RDEPEND="${DEPEND}"
+
+DOCS="AUTHORS README.txt"
+
+python_test() {
+ cd test || die
+ "${PYTHON}" test_augeas.py || die
+}